Page MenuHomePhabricator

Escape should close toolbar panels before trying to close the entire editor
Closed, ResolvedPublic1 Story Points

Description

If you have the find/replace toolbar (or other toolbar panels) open, pressing escape should close them before trying to close VisualEditor entirely.

As-is, pressing escape does try to close them iff one of their inputs has focus. It'd be a more consistent user experience if it always closed such things, regardless of focus.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterDesktopArticleTarget: on escape close toolbar dialogs first

Event Timeline

DLynch created this task.Mar 19 2018, 4:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2018, 4:11 PM

Change 434038 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: on escape close toolbar dialogs first

https://gerrit.wikimedia.org/r/434038

DLynch claimed this task.May 19 2018, 5:36 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 434038 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: on escape close toolbar dialogs first

https://gerrit.wikimedia.org/r/434038

Jdforrester-WMF set the point value for this task to 1.
Deskana closed this task as Resolved.May 28 2018, 3:40 PM